#649 closed defect (fixed)

ATA driver hangs on initialisation with No primary IDE

Reported by: afraiett Owned by: Jennifer Averett
Priority: normal Milestone: 4.9
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@…, strauman@…, thomas.doerfler@… Blocked By:
Blocking:

Description

The system hangs when initialising the ATA driver if a Master IDE drive is not connected to the primary IDE port.

http://www.rtems.com/ml/rtems-users/2005/september/msg00079.html
has a longer description of the problem along with a link to http://www.rtems.com/ml/rtems-users/2004/july/msg00024.html which is the original discussion of the issue.

Release:
4.6.0 Pre 5

Environment:
pc386dx BSP
PC104 target

How-To-Repeat:
Run exe with no Master IDE drive in Primary port of pc386

Attachments (3)

testfileio.zip (136.2 KB) - added by afraiett on Dec 3, 2006 at 1:31:12 PM.
testfileio.zip
rtems-4.6.99.2-i386-ide.diff (2.4 KB) - added by afraiett on Dec 3, 2006 at 1:31:12 PM.
rtems-4.6.99.2-i386-ide.diff
ata-ide-notready-timeout.diff (1.7 KB) - added by strauman on Jan 10, 2008 at 7:21:58 PM.
let ide ctrl init fail if neither busy nor ready for some time

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Sep 17, 2005 at 4:38:16 AM by thomas.doerfler

Status: assignedwaiting

Changed on Dec 3, 2006 at 1:31:12 PM by afraiett

Attachment: testfileio.zip added

testfileio.zip

Changed on Jan 10, 2008 at 7:21:58 PM by strauman

let ide ctrl init fail if neither busy nor ready for some time

comment:2 Changed on Jan 10, 2008 at 7:21:58 PM by strauman

attachments.isobsolete: 01

comment:3 Changed on Jan 10, 2008 at 7:25:59 PM by Joel Sherrill

Cc: Joel Sherrill added
Milestone: 4.9
rep_platform: All

comment:4 Changed on Jan 10, 2008 at 7:29:02 PM by strauman

Cc: strauman added

comment:5 Changed on May 7, 2008 at 7:48:42 PM by Joel Sherrill

Component: filesystembsps

comment:6 Changed on May 7, 2008 at 7:51:21 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

Committed to head.

Note: See TracTickets for help on using tickets.